Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class EntryBaseImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, EntryBase

Direct Known Subclasses:
  AbstractToolEntryImpl, ToolGroupImpl

    public abstract class EntryBaseImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements EntryBase

An implementation of the model object 'Entry Base'.

The following features are implemented:

- `Title`
- `Description`
- `Large Icon Path`
- `Small Icon Path`
- `Create Method Name`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `CREATE_METHOD_NAME_EDEFAULT` The default value of the '`Create Method Name`' attribute
`protected java.lang.String` `createMethodName` The cached value of the '`Create Method Name`' attribute
`protected java.lang.String` `description` The cached value of the '`Description`' attribute
`protected static java.lang.String` `DESCRIPTION_EDEFAULT` The default value of the '`Description`' attribute
`protected static java.lang.String` `LARGE_ICON_PATH_EDEFAULT` The default value of the '`Large Icon Path`' attribute
`protected java.lang.String` `largeIconPath` The cached value of the '`Large Icon Path`' attribute
`protected static java.lang.String` `SMALL_ICON_PATH_EDEFAULT` The default value of the '`Small Icon Path`' attribute
`protected java.lang.String` `smallIconPath` The cached value of the '`Small Icon Path`' attribute
`protected java.lang.String` `title` The cached value of the '`Title`' attribute
`protected static java.lang.String` `TITLE_EDEFAULT` The default value of the '`Title`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EntryBaseImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getCreateMethodNameGen()`
`java.lang.String` `getDescription()`
`protected int` `getEntryID()`
`java.lang.String` `getLargeIconPath()`
`java.lang.String` `getSmallIconPath()`
`java.lang.String` `getTitle()`
`void` `setCreateMethodName(java.lang.String newCreateMethodName)`
`void` `setDescription(java.lang.String newDescription)`
`void` `setLargeIconPath(java.lang.String newLargeIconPath)`
`void` `setSmallIconPath(java.lang.String newSmallIconPath)`
`void` `setTitle(java.lang.String newTitle)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EntryBase
`getCreateMethodName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### TITLE_EDEFAULT

    protected static final java.lang.String TITLE_EDEFAULT

  The default value of the '`Title`' attribute.

  See Also:
    `getTitle()`
  ** Generated **
  Ordered:

### title

    protected java.lang.String title

  The cached value of the '`Title`' attribute.

  See Also:
    `getTitle()`
  ** Generated **
  Ordered:

### DESCRIPTION_EDEFAULT

    protected static final java.lang.String DESCRIPTION_EDEFAULT

  The default value of the '`Description`' attribute.

  See Also:
    `getDescription()`
  ** Generated **
  Ordered:

### description

    protected java.lang.String description

  The cached value of the '`Description`' attribute.

  See Also:
    `getDescription()`
  ** Generated **
  Ordered:

### LARGE_ICON_PATH_EDEFAULT

    protected static final java.lang.String LARGE_ICON_PATH_EDEFAULT

  The default value of the '`Large Icon Path`' attribute.

  See Also:
    `getLargeIconPath()`
  ** Generated **
  Ordered:

### largeIconPath

    protected java.lang.String largeIconPath

  The cached value of the '`Large Icon Path`' attribute.

  See Also:
    `getLargeIconPath()`
  ** Generated **
  Ordered:

### SMALL_ICON_PATH_EDEFAULT

    protected static final java.lang.String SMALL_ICON_PATH_EDEFAULT

  The default value of the '`Small Icon Path`' attribute.

  See Also:
    `getSmallIconPath()`
  ** Generated **
  Ordered:

### smallIconPath

    protected java.lang.String smallIconPath

  The cached value of the '`Small Icon Path`' attribute.

  See Also:
    `getSmallIconPath()`
  ** Generated **
  Ordered:

### CREATE_METHOD_NAME_EDEFAULT

    protected static final java.lang.String CREATE_METHOD_NAME_EDEFAULT

  The default value of the '`Create Method Name`' attribute.

  See Also:
    `EntryBase.getCreateMethodName()`
  ** Generated **
  Ordered:

### createMethodName

    protected java.lang.String createMethodName

  The cached value of the '`Create Method Name`' attribute.

  See Also:
    `EntryBase.getCreateMethodName()`
  ** Generated **
  Ordered:

Constructor Detail

### EntryBaseImpl

    protected EntryBaseImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `EntryBase`
  Returns:
    the value of the 'Title' attribute.
  See Also:
    `EntryBase.setTitle(String)`, `GMFGenPackage.getEntryBase_Title()`
  ** Generated **

### setTitle

    public void setTitle(java.lang.String newTitle)

  Specified by:
    `setTitle` in interface `EntryBase`
  Parameters:
    `newTitle` - the new value of the 'Title' attribute.
  See Also:
    `EntryBase.getTitle()`
  ** Generated **

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `EntryBase`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `EntryBase.setDescription(String)`, `GMFGenPackage.getEntryBase_Description()`
  ** Generated **

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `EntryBase`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `EntryBase.getDescription()`
  ** Generated **

### getLargeIconPath

    public java.lang.String getLargeIconPath()

  Specified by:
    `getLargeIconPath` in interface `EntryBase`
  Returns:
    the value of the 'Large Icon Path' attribute.
  See Also:
    `EntryBase.setLargeIconPath(String)`, `GMFGenPackage.getEntryBase_LargeIconPath()`
  ** Generated **

### setLargeIconPath

    public void setLargeIconPath(java.lang.String newLargeIconPath)

  Specified by:
    `setLargeIconPath` in interface `EntryBase`
  Parameters:
    `newLargeIconPath` - the new value of the 'Large Icon Path' attribute.
  See Also:
    `EntryBase.getLargeIconPath()`
  ** Generated **

### getSmallIconPath

    public java.lang.String getSmallIconPath()

  Specified by:
    `getSmallIconPath` in interface `EntryBase`
  Returns:
    the value of the 'Small Icon Path' attribute.
  See Also:
    `EntryBase.setSmallIconPath(String)`, `GMFGenPackage.getEntryBase_SmallIconPath()`
  ** Generated **

### setSmallIconPath

    public void setSmallIconPath(java.lang.String newSmallIconPath)

  Specified by:
    `setSmallIconPath` in interface `EntryBase`
  Parameters:
    `newSmallIconPath` - the new value of the 'Small Icon Path' attribute.
  See Also:
    `EntryBase.getSmallIconPath()`
  ** Generated **

### getCreateMethodNameGen

    public java.lang.String getCreateMethodNameGen()

  ** Generated **

### setCreateMethodName

    public void setCreateMethodName(java.lang.String newCreateMethodName)

  Specified by:
    `setCreateMethodName` in interface `EntryBase`
  Parameters:
    `newCreateMethodName` - the new value of the 'Create Method Name' attribute.
  See Also:
    `EntryBase.getCreateMethodName()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### getEntryID

    protected final int getEntryID()

  Returns:
    index of this entry in the parent container

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.